Update content
curl --request PATCH \
--url https://app.promptingco.com/api/v1/content/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '{
"priority": 50
}'const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({priority: 50})
};
fetch('https://app.promptingco.com/api/v1/content/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.promptingco.com/api/v1/content/{id}"
payload = { "priority": 50 }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"ok": true,
"data": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"filePath": "<string>",
"title": "<string>",
"content": "<string>",
"sourceUrl": "<string>",
"cssSelector": "<string>",
"sourceChecksum": "<string>",
"brandId": "<string>",
"cssExcludeSelector": "<string>",
"isManual": true,
"lastIndexedAt": "2023-11-07T05:31:56Z",
"canonicalUrl": "<string>",
"description": "<string>",
"image": "<string>",
"metaDescription": "<string>",
"metaTitle": "<string>",
"noIndex": true,
"ogDescription": "<string>",
"ogImage": "<string>",
"ogTitle": "<string>",
"twitterDescription": "<string>",
"twitterImage": "<string>",
"twitterTitle": "<string>",
"descriptionForAgent": "<string>",
"type": "<string>",
"tags": [
"<string>"
],
"currentDraftId": "<string>",
"publishedAt": "2023-11-07T05:31:56Z",
"status": "<string>",
"priority": 123,
"promptId": "<string>",
"redirectToUrl": "<string>",
"redirectAudience": "<string>",
"metadata": "<unknown>",
"tiptapJson": "<unknown>"
}
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}Content
Update content
PATCH
/
api
/
v1
/
content
/
{id}
Update content
curl --request PATCH \
--url https://app.promptingco.com/api/v1/content/{id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '{
"priority": 50
}'const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({priority: 50})
};
fetch('https://app.promptingco.com/api/v1/content/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.promptingco.com/api/v1/content/{id}"
payload = { "priority": 50 }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"ok": true,
"data": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"filePath": "<string>",
"title": "<string>",
"content": "<string>",
"sourceUrl": "<string>",
"cssSelector": "<string>",
"sourceChecksum": "<string>",
"brandId": "<string>",
"cssExcludeSelector": "<string>",
"isManual": true,
"lastIndexedAt": "2023-11-07T05:31:56Z",
"canonicalUrl": "<string>",
"description": "<string>",
"image": "<string>",
"metaDescription": "<string>",
"metaTitle": "<string>",
"noIndex": true,
"ogDescription": "<string>",
"ogImage": "<string>",
"ogTitle": "<string>",
"twitterDescription": "<string>",
"twitterImage": "<string>",
"twitterTitle": "<string>",
"descriptionForAgent": "<string>",
"type": "<string>",
"tags": [
"<string>"
],
"currentDraftId": "<string>",
"publishedAt": "2023-11-07T05:31:56Z",
"status": "<string>",
"priority": 123,
"promptId": "<string>",
"redirectToUrl": "<string>",
"redirectAudience": "<string>",
"metadata": "<unknown>",
"tiptapJson": "<unknown>"
}
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}{
"ok": false,
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}Authorizations
apiKeyAuthbearerAuthcookieAuth
Organization-scoped API key. Available scopes:
- content:read: Read site pages, markdown content, and llms.txt files
- content:write: Create, update, and delete site pages and content
- prompts:read: Read prompts, topics, prompt suggestions, and prompt analysis results
- prompts:write: Create, update, archive prompts and generate, edit, or review prompt suggestions
- simulations:read: Read agent-simulation tasks, runs, environments, and analytics
- simulations:write: Create and trigger simulation runs
- logs:read: Read AI-traffic logs and request-level audit events
- analytics:read: Read analytics aggregates (rankings, mentions, sources, SOV)
- analytics:write: Write events to analytics
- products:read: Read product metadata and competitor data
- products:write: Update product settings and competitor lists
Path Parameters
Minimum string length:
1Body
application/json
Required range:
0 <= x <= 100